=== doc/doxygen/Makefile ===
all:
	doxygen bagel_doxyconf

no-graphs:
	doxygen bagel_doxyconf_no_graphs
