=== debian/changelog ===
rock-master-20.01-bagel-osg-graph-viz (0.20190805-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/dfki-ric/osg_graph_viz.git
  * branch: refs/heads/master
  * commit: 3c11652b759c0021c804f58aa8d08f132a45da74
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sun, 09 Feb 2020 11:21:53 +0100
