=== debian/control ===
Source: rock-master-20.01-bagel-osg-graph-viz
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-simulation-lib-manager, rock-master-20.01-simulation-mars-common-graphics-osg-material-manager, rock-master-20.01-simulation-mars-common-graphics-osg-text, rock-master-20.01-simulation-mars-common-utils, rock-master-20.01-tools-configmaps
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-bagel-osg-graph-viz
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-simulation-lib-manager, rock-master-20.01-simulation-mars-common-graphics-osg-material-manager, rock-master-20.01-simulation-mars-common-graphics-osg-text, rock-master-20.01-simulation-mars-common-utils, rock-master-20.01-tools-configmaps, cmake
Description: osg_graph_viz
 2D graph visualization library based on OpenSceneGraph.
